Bug 1304930 - ospd-8 poodle 2016-02-04.1 tempest.api.compute.servers.test_create_server setup failing
ospd-8 poodle 2016-02-04.1 tempest.api.compute.servers.test_create_server se...
Status: CLOSED WORKSFORME
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
high Severity high
: ga
: 8.0 (Liberty)
Assigned To: Michal Pryc
nlevinki
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 20:07 EST by wes hayutin
Modified: 2016-03-03 13:08 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 13:08:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nova-api.log (45.84 KB, text/plain)
2016-02-04 20:07 EST, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2016-02-04 20:07:48 EST
Created attachment 1121276 [details]
nova-api.log

Description of problem:

Traceback (most recent call last):
testtools.testresult.real._StringException: Traceback (most recent call last):
  File "/home/stack/tempest/tempest/test.py", line 274, in setUpClass
    six.reraise(etype, value, trace)
  File "/home/stack/tempest/tempest/test.py", line 267, in setUpClass
    cls.resource_setup()
  File "/home/stack/tempest/tempest/api/compute/servers/test_create_server.py", line 66, in resource_setup
    disk_config=disk_config)
  File "/home/stack/tempest/tempest/api/compute/base.py", line 225, in create_test_server
    **kwargs)
  File "/home/stack/tempest/tempest/common/compute.py", line 115, in create_test_server
    **kwargs)
  File "/home/stack/tempest/tempest/services/compute/json/servers_client.py", line 57, in create_server
    resp, body = self.post('servers', post_body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 259, in post
    return self.request('POST', url, extra_headers, headers, body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 639, in request
    resp, resp_body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 753, in _error_checker
    message=message)
tempest_lib.exceptions.ServerFault: Got server fault
Details: Unexpected API Error. Please report this at http://bugs.launchpad.net/nova/ and attach the Nova API log if possible.
<class 'keystoneclient.exceptions.NotFound'>
Comment 2 wes hayutin 2016-02-04 20:12:54 EST
failing tests include
-tempest.api.compute.servers.test_create_server
-tempest.api.compute.servers.test_server_addresses
-tempest.api.compute.servers.test_server_actions
Comment 3 wes hayutin 2016-02-04 20:17:14 EST
also the following
-tempest.scenario.test_network_basic_ops.TestNetworkBasicOps
-tempest.scenario.test_volume_boot_pattern.TestVolumeBootPattern
-tempest.scenario.test_volume_boot_pattern.TestVolumeBootPatternV2
Comment 5 Michal Pryc 2016-02-16 06:51:33 EST
Can you provide me with the nova.conf ?
Comment 9 wes hayutin 2016-03-03 13:08:25 EST
These tests are passing in ospd-8 CI

Note You need to log in before you can comment on or make changes to this bug.